> For the complete documentation index, see [llms.txt](https://docs.manifold.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.manifold.xyz/client-sdk/reference/blindmintproduct.md).

# BlindMintProduct

<table><thead><tr><th>Field</th><th width="195.76953125">Type</th><th>Required</th><th>Description</th></tr></thead><tbody><tr><td>onchainData</td><td><a href="/pages/8lCJtTwwQ35WAeoidopp">BlindMintOnchainData</a></td><td>❌</td><td>Product onchain data</td></tr><tr><td><a href="/pages/yqpBMUHsgcTbE6HKbpce"><strong>preparePurchase</strong></a></td><td>function</td><td>✅</td><td>Simulates purchase to check eligibility and get total cost.</td></tr><tr><td><a href="/pages/SdRoeJBqoktXL2qlOtk8"><strong>purchase</strong></a></td><td>function</td><td>✅</td><td>Make a purchase on the product</td></tr><tr><td><a href="/pages/c1aznG4CUWyrMZWtPYaD">fetchOnchainData</a></td><td>function</td><td>✅</td><td>Fetch on-chain data for this product</td></tr><tr><td><a href="/pages/Ch7dnjqMRLLr39FWdBlt">getAllocations</a></td><td>function</td><td>✅</td><td>Check product eligibility quantity for a wallet address</td></tr><tr><td><a href="/pages/jtfgfaKN9SQZEXJT1rJS">getInventory</a></td><td><a href="/pages/vWY7uqazjdaTdmSqbA6n">ProductInventory</a></td><td>✅</td><td>Get inventory of the product</td></tr><tr><td><a href="/pages/d1UjTDPq30FYRyaMiODK">getRules</a></td><td><a href="/pages/hDDyfNGsjeyTwo43NbrP">ProductRule</a></td><td>✅</td><td>Product specific rules</td></tr><tr><td><a href="/pages/663IwQyaAlMVcJCFsNHn">getProvenance</a></td><td><a href="/pages/o70F2Wy6jS7n8jatUbSi">ProductProvenance</a></td><td>✅</td><td>Product provenance info</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.manifold.xyz/client-sdk/reference/blindmintproduct.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
